CREATE OR REPLACE PACKAGE lista_enteros_pkg AS

/* Procedimiento para crear una lista de enteros
   Parametros:
      - nombre: cadena de caracteres que contiene el nombre de la lista que se crea (I)
*/
PROCEDURE crear_lista (nombre IN VARCHAR2);

/* Procedimiento para destruir una lista enteros
   Parametros:
      - nombre: cadena de caracteres que contiene el nombre de la lista que se destruye (I)
*/
PROCEDURE destruir_lista (nombre IN VARCHAR2);

/* Procedimiento para insertar un elemento entero en una posicion dada de una lista de enteros
   Parametros:
      - nombre: cadena de caracteres que contiene el nombre de la lista en la que se inserta (I)
      - elemento: elemento entero que se inserta (I)
      - posicion: posicion entera de la lista en la que se inserta (I)
*/
PROCEDURE insertar_en_lista (nombre IN VARCHAR2, elemento IN INTEGER, posicion IN INTEGER);

/* Funcion para extraer un elemento entero de una posicion dada de una lista de enteros
   Parametros:
      - nombre: cadena de caracteres que contiene el nombre de la lista en la que se inserta (I)
      - elemento: elemento entero que se inserta (I)
      - posicion: posicion entera de la lista en la que se inserta (O)
*/
FUNCTION extraer_de_lista (nombre IN VARCHAR2, posicion IN INTEGER) RETURN INTEGER;

END;
/



